Package org.kapott.hbci.manager

## Class HBCIUser

- java.lang.Object
- - org.kapott.hbci.manager.HBCIUser

All Implemented Interfaces:
  `IHandlerData`

    public final class HBCIUser
    extends java.lang.Object
    implements IHandlerData

Kapselt die authentifizierten Initialisierungsdialoge. Also im Wesentlichen alles, was mit den UPD zu tun hat.

### Field Summary

Fields
`static java.lang.String` `UPD_KEY_FETCH_SEPAINFO` In dem UPD-Property ist gespeichert, wann wir die SEPA-Infos (IBAN, BIC) abgerufen haben
`static java.lang.String` `UPD_KEY_FETCH_TANMEDIA` In dem UPD-Property ist gespeichert, wann wir die TAN-Medienbezeichnungen abgerufen haben
`static java.lang.String` `UPD_KEY_HBCIVERSION`
`static java.lang.String` `UPD_KEY_TANMEDIA` In dem UPD-Property sind die TAN-Medienbezeichnungen gespeichert

### Constructor Summary

Constructors
`HBCIUser​(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fetchSigId()`
`void` `fetchSysId()`
`void` `fetchUPD()` Ruft die UPD von der Bank ab.
`void` `generateNewKeys()`
`MsgGen` `getMsgGen()`
`HBCIPassport` `getPassport()`
`void` `lockKeys()`
`void` `manuallySetNewKeys​(java.security.KeyPair sigKey, java.security.KeyPair encKey)`
`void` `register()` Registriert den User.
`void` `sync​(boolean force)` Fuehrt eine Neu-Synchronisierung durch.
`void` `updateUPD​(java.util.Properties result)` Uebernimmt die aktualisierten UPD in den Passport.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UPD_KEY_HBCIVERSION

    public static final java.lang.String UPD_KEY_HBCIVERSION

See Also:
  Constant Field Values

#### UPD_KEY_TANMEDIA

    public static final java.lang.String UPD_KEY_TANMEDIA

In dem UPD-Property sind die TAN-Medienbezeichnungen gespeichert

See Also:
  Constant Field Values

#### UPD_KEY_FETCH_SEPAINFO

    public static final java.lang.String UPD_KEY_FETCH_SEPAINFO

In dem UPD-Property ist gespeichert, wann wir die SEPA-Infos (IBAN, BIC) abgerufen haben

See Also:
  Constant Field Values

#### UPD_KEY_FETCH_TANMEDIA

    public static final java.lang.String UPD_KEY_FETCH_TANMEDIA

In dem UPD-Property ist gespeichert, wann wir die TAN-Medienbezeichnungen abgerufen haben

See Also:
  Constant Field Values

### Constructor Detail

#### HBCIUser

    public HBCIUser​(HBCIKernelImpl kernel,
                    HBCIPassportInternal passport,
                    boolean forceAsParent)

### Method Detail

#### generateNewKeys

    public void generateNewKeys()

#### manuallySetNewKeys

    public void manuallySetNewKeys​(java.security.KeyPair sigKey,
                                   java.security.KeyPair encKey)

#### fetchSysId

    public void fetchSysId()

#### fetchSigId

    public void fetchSigId()

#### updateUPD

    public void updateUPD​(java.util.Properties result)

Uebernimmt die aktualisierten UPD in den Passport.

Parameters:
  `result` - die Ergebnis-Daten mit den UPD.

#### fetchUPD

    public void fetchUPD()

Ruft die UPD von der Bank ab.

#### sync

    public void sync​(boolean force)

Description copied from interface: `IHandlerData`
Fuehrt eine Neu-Synchronisierung durch.

Specified by:
  `sync` in interface `IHandlerData`
Parameters:
  `force` - true, wenn die Neu-Synchronisierung forciert werden soll.
See Also:
  `IHandlerData.sync(boolean)`

#### register

    public void register()

Registriert den User.

#### lockKeys

    public void lockKeys()

#### getMsgGen

    public MsgGen getMsgGen()

Specified by:
  `getMsgGen` in interface `IHandlerData`

#### getPassport

    public HBCIPassport getPassport()

Specified by:
  `getPassport` in interface `IHandlerData`